package com.zipcodewilmington.phonebook;
import java.util.Map;
import java.util.Set;
import java.util.TreeMap;

/**
 * Created by leon on 1/23/18.
 */
public class PhoneBook {


    protected Map<String, String> directory;

    public PhoneBook() {
        directory = new TreeMap<>();
    }

    public boolean hasEntry(String name) {
       return directory.containsKey(name);
    }

    public void add(String name, String number) {
        directory.put(name, number);
    }

    public String lookup(String name) {
        return directory.get(name);
    }

    public String remove(String name) {
        return directory.remove(name);
    }
/*
    public String reverseLookup(String number) {

    }*/

    public void listNamesAndNumbers() {

        System.out.println(directory);
    }

    public void removeRecord() {
        directory.clear();
    }




}
